package controller;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.List;

import javax.persistence.metamodel.ManagedType;

/**
 * Schnittstelle der Funktionen des Clients
 * 
 * Version 1.0.0007
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public interface ClientInterface extends Remote {
	void update(Class t, List<Object> o) throws RemoteException;

	void serverTerminated() throws RemoteException;
}