package view;

import java.util.Observable;
import java.util.Observer;

import controller.Controller;

/**
 * Basisklasse fr JFrames
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public abstract class AbstractFrame extends javax.swing.JFrame implements
		Observer {
	private static final long serialVersionUID = 1L;

	protected final Controller controller;

	/**
	 * Konstruktor
	 * 
	 * @param controller
	 *            Controller
	 * @param label
	 *            Bezeichnung
	 */
	public AbstractFrame(Controller controller, String label) {
		super(label);
		this.controller = controller;
	}

	/**
	 * Zurckliefern der Daten ber das Observer-Pattern
	 */
	@Override
	public void update(Observable arg0, final Object arg1) {
	}
}
