package viewModel;

import javax.swing.table.DefaultTableModel;

/**
 * Basisklasse fr DefaultTableModels der JTables
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public abstract class AbstractTableModel extends DefaultTableModel {
	/**
	 * Default-UID
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Konstruktor
	 */
	public AbstractTableModel(Object[][] data, Object[] columnNames) {
		super(data, columnNames);
	}

	/**
	 * Editor ausschalten
	 */
	public boolean isCellEditable(int rowIndex, int columnIndex) {
		return false;
	}
}
