package viewModel;

import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;

/**
 * Datenmodell der Projekt-Tabelle
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public class ProjektTableModel extends AbstractTableModel {
	private static final long serialVersionUID = 1L;

	// Datenspalten
	public static String columns[] = { "Titel", "Beschreibung",
			"Ansprechpartner", "Student1", "Student2", "Student3", "Status" };

	/**
	 * Konstruktor
	 */
	public ProjektTableModel() {
		super(null, columns);
	}
}
