package viewModel;

import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;

/**
 * Datenmodell der Studenten-Tabelle
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public class StudentTableModel extends AbstractTableModel {
	private static final long serialVersionUID = 1L;

	// Datenspalten
	private static String columns[] = { "Name", "Matrikelnummer",
			"EMail-Adresse" };

	/**
	 * Konstruktor
	 */
	public StudentTableModel() {
		super(null, columns);
	}
}
