package main;

import javax.swing.text.PlainDocument;
import javax.swing.text.*;

/**
 * 
 * @author thomas
 * 
 */
public class TextLengthDocument extends PlainDocument {

	private static final long serialVersionUID = 1L;

	private int limit;

	/**
	 * Konstruktor
	 * 
	 * @param limit
	 *            erlaubte Lnge
	 */
	public TextLengthDocument(int limit) {
		super();
		this.limit = limit;
	}

	public void insertString(int offset, String str, AttributeSet attr)
			throws BadLocationException {
		if (str == null)
			return;

		if ((getLength() + str.length()) <= limit) {
			super.insertString(offset, str, attr);
		}
	}
}